package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_control_design_eff_wrk")
public class MaintControlDesignEffectivenessWrk implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="control_design_eff_code")
	private String controlDesignEffCode;
	
	@Column(name="control_design_eff_type")
	private String controlDesignEffType;
	
	@Column(name="control_design_eff_desc")
	private String controlDesignEffDesc;
	
	@Column(name="control_design_eff_score")
	private String controlDesignEffScore;
	
	@Column(name = "auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name = "entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	
	public String getControlDesignEffCode() {
		return controlDesignEffCode;
	}

	public void setControlDesignEffCode(String controlDesignEffCode) {
		this.controlDesignEffCode = controlDesignEffCode;
	}

	public String getControlDesignEffType() {
		return controlDesignEffType;
	}

	public void setControlDesignEffType(String controlDesignEffType) {
		this.controlDesignEffType = controlDesignEffType;
	}

	public String getControlDesignEffDesc() {
		return controlDesignEffDesc;
	}

	public void setControlDesignEffDesc(String controlDesignEffDesc) {
		this.controlDesignEffDesc = controlDesignEffDesc;
	}

	public String getControlDesignEffScore() {
		return controlDesignEffScore;
	}

	public void setControlDesignEffScore(String controlDesignEffScore) {
		this.controlDesignEffScore = controlDesignEffScore;
	}

	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
	

}
